# Uses of Class
org.codehaus.janino.Java.SuperConstructorInvocation

Packages that use Java.SuperConstructorInvocation
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.SuperConstructorInvocation in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.SuperConstructorInvocation
Modifier and Type
Method
Description
`R`
Visitor.BlockStatementVisitor.`visitSuperConstructorInvocation(Java.SuperConstructorInvocation sci)`
Invoked by `accept(Visitor.BlockStatementVisitor)`
`R`
Visitor.ConstructorInvocationVisitor.`visitSuperConstructorInvocation(Java.SuperConstructorInvocation sci)`
Invoked by `Java.SingleElementAnnotation.accept(Visitor.AnnotationVisitor)`

## Uses of Java.SuperConstructorInvocation in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.SuperConstructorInvocation
Modifier and Type
Method
Description
`Java.ConstructorInvocation`
DeepCopier.`copySuperConstructorInvocation(Java.SuperConstructorInvocation subject)`
`void`
AbstractTraverser.`traverseSuperConstructorInvocation(Java.SuperConstructorInvocation sci)`
`void`
Traverser.`traverseSuperConstructorInvocation(Java.SuperConstructorInvocation sci)`